WordPress upgrade

I bit the bullet and finally upgraded WordPress on this site from 2.2 to 2.5.1. The upgrade process was quite simple based on the upgrade instructions posted on wordpress.org. The new Dashboard is pretty slick and the automatic Plugin upgrading feature is very handy.

The only problem I have had is with the CG-Amazon plugin 1.5.2. It’s an older plugin so I wasn’t terribly surprised to discover it was not compatible with WP 2.5.1.

I don’t have a huge list of items (mostly books) in the CG database, but it will take a little bit of work to migrate to another plugin to track and display books that I’m reading, books in my library, or any other items found on Amazon.com that I wanted to keep track of.

Meanwhile, I’ll be looking around for a viable substitute.

[update 6/26/2008] I had to go into the cga-config.php plugin file and change pluggable-functions.php to just pluggable.php.

More mapping stuff

I’m giving the GeoPress plugin for WordPress a try. It seems to work ok, except you can only associate one location per post as far as I can tell. That makes sense because the location is associated with a post and you can’t be in two places at the same time, but many of my blog posts describe a day with stops at a few locations so I’ll have to consider whether or not that’s a problem for me.

Updated on 5/7/2007 : I’m deactivating the GeoPress plugin until I figure out exactly how I’m going to use it.